Bug 13407 - Remove methods which are included in the 0.36 release of PDF::Reuse
Summary: Remove methods which are included in the 0.36 release of PDF::Reuse
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P3 enhancement (vote)
Assignee: Chris Nighswonger
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-08 13:39 UTC by Chris Nighswonger
Modified: 2016-06-21 21:37 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Patch removing duplicate methods (4.52 KB, patch)
2014-12-08 13:40 UTC, Chris Nighswonger
Details | Diff | Splinter Review
Bug 13407: Removing depricated code included in PDF::Reuse (4.61 KB, patch)
2014-12-18 12:35 UTC, M. Tompsett
Details | Diff | Splinter Review
Bump PDF::Reuse version requirements to the latest release (769 bytes, patch)
2014-12-19 12:49 UTC, Chris Nighswonger
Details | Diff | Splinter Review
Bug 13406: Removing depricated code included in PDF::Reuse (5.19 KB, patch)
2014-12-21 08:44 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 13407 Bumping required version of PDF::Reuse (817 bytes, patch)
2014-12-21 08:45 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 13406: Removing depricated code included in PDF::Reuse (5.26 KB, patch)
2014-12-27 15:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13407 Bumping required version of PDF::Reuse (881 bytes, patch)
2014-12-27 15:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Nighswonger 2014-12-08 13:39:17 UTC
This patch removes methods which will be included in the 0.36 release of PDF::Reuse. Technically, it should not be necessary to backport this patch since the net result of the current code when executed against 0.36 is redefition of a few subs; however, it would still be good to apply this to the current maintenance releases.
Comment 1 Chris Nighswonger 2014-12-08 13:40:29 UTC Comment hidden (obsolete)
Comment 2 Chris Nighswonger 2014-12-08 13:46:53 UTC
NOTE: This depends on https://rt.cpan.org/Ticket/Display.html?id=100779
Comment 3 Chris Nighswonger 2014-12-08 13:49:25 UTC
To test:

1. Upgrade PDF::Reuse to 0.35_04. [1]
2. Run Koha's non-DB dependent test suite. You should notice some non-fatal warnings about the redefinition of one or two subs in PDF::Reuse. This should not affect the functionality of the tools for the end user.
3. Verify the functionality of the related tools.
4. Apply the attached patch.
5. Re-run Koha's non-DB dependent test suite. You should note no warnings related to PDF::Reuse.
6. Re-verify the functionality of the related tools.


[1] http://search.cpan.org/CPAN/authors/id/C/CN/CNIGHS/PDF-Reuse-0.35_04.tar.gz
Comment 4 Chris Nighswonger 2014-12-08 23:13:14 UTC
Here is a deb file for the above mentioned PDF::Reuse release which may be easier to use for testing:

http://debian.koha-community.org/koha/other_files/libpdf-reuse-perl_0.35-05-1_all.deb

Many thanks to Robin for taking the time to help with getting this together.
Comment 5 M. Tompsett 2014-12-18 12:35:28 UTC Comment hidden (obsolete)
Comment 6 M. Tompsett 2014-12-18 12:42:57 UTC
It should be noted, I actually attempted to find the individual tests that triggered it. t/Label* t/Patron* t/Creator* if I recall correctly.
Comment 7 Jonathan Druart 2014-12-19 10:52:26 UTC
Chris, shouldn't we change the minimum version of PDF::Reuse in the dependencies file?
Comment 8 Chris Nighswonger 2014-12-19 12:48:47 UTC
(In reply to Jonathan Druart from comment #7)
> Chris, shouldn't we change the minimum version of PDF::Reuse in the
> dependencies file?

Good catch. Patch attached.
Comment 9 Chris Nighswonger 2014-12-19 12:49:24 UTC Comment hidden (obsolete)
Comment 10 Chris Cormack 2014-12-21 08:44:54 UTC Comment hidden (obsolete)
Comment 11 Chris Cormack 2014-12-21 08:45:20 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2014-12-27 15:35:23 UTC
Created attachment 34723 [details] [review]
[PASSED QA] Bug 13406: Removing depricated code included in PDF::Reuse

1. Upgrade PDF::Reuse to 0.35_04. [1]
2. Run Koha's non-DB dependent test suite. You should notice some non-fatal warnings about
   the redefinition of one or two subs in PDF::Reuse. This should not affect the
   functionality of the tools for the end user.
3. Verify the functionality of the related tools.
4. Apply the attached patch.
5. Re-run Koha's non-DB dependent test suite. You should note no warnings related to PDF::Reuse.
6. Re-verify the functionality of the related tools.

[1] http://search.cpan.org/CPAN/authors/id/C/CN/CNIGHS/PDF-Reuse-0.35_04.tar.gz

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Chris <chris@bigballofwax.co.nz>

http://bugs.koha-community.org/show_bug.cgi?id=13407

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2014-12-27 15:37:19 UTC
Created attachment 34724 [details] [review]
[PASSED QA] Bug 13407 Bumping required version of PDF::Reuse

Signed-off-by: Chris <chris@bigballofwax.co.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Tomás Cohen Arazi 2014-12-28 23:42:03 UTC
I expect to have the .deb file on the squeeze-dev pocket for pushing, otherwise we should feed the jenkins nodes by hand using CPAN. Robin?
Comment 15 Robin Sheat 2014-12-29 00:39:58 UTC
Not yet, it'll happen very soon. Hopefully today. I'm lining it up for inclusion in Debian at the same time, and so it takes a little longer to make sure I get it right.
Comment 16 Robin Sheat 2014-12-29 04:50:55 UTC
(In reply to Robin Sheat from comment #15)
> Not yet, it'll happen very soon. Hopefully today. I'm lining it up for
> inclusion in Debian at the same time, and so it takes a little longer to
> make sure I get it right.

And, done. Hopefully it'll be accepted for debian with no more changes too.
Comment 17 Tomás Cohen Arazi 2015-01-07 23:45:11 UTC
Patches pushed to master.

Nice one Chris!
Comment 18 Chris Cormack 2015-01-11 08:12:02 UTC
Pushed to 3.18.x will be in 3.18.3
Comment 19 Mason James 2015-01-16 23:28:29 UTC
Pushed to 3.16.x, will be in 3.16.7